#
# spec file for package gnpan (Version 0.11.2)
#
# Copyright (c) 2003 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  audiofile esound esound-devel gal gdk-pixbuf gdk-pixbuf-devel glib glib-devel gnome-core gnome-libs gnome-libs-devel gnome-print gnome-print-devel gpp gtk gtk-devel gtkhtml gtkhtml-devel imlib imlib-devel libgpp libgtop libgtop-devel libunicode libxml libxml-devel xdevel xf86 xshared
# usedforbuild    aaa_base aaa_dir aaa_version base bash bindutil bison bzip cpio cpp cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm gppshare grep groff gzip kbd less m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam-devel pam-modules patch ps rcs readline sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim audiofile autoconf automake binutils cracklib esound esound-devel gal gcc gdbm gdk-pixbuf gdk-pixbuf-devel gettext glib glib-devel gnome-core gnome-libs gnome-libs-devel gnome-print gnome-print-devel gpp gtk gtk-devel gtkhtml gtkhtml-devel imlib imlib-devel libgpp libgtop libgtop-devel libtool libunicode libxml libxml-devel libz pam perl rpm xdevel xf86 xshared

Name:         gnpan
%define prefix  /opt/gnome
License:      GPL
Group:        Productivity/Networking/News/Clients
Provides:     gnpan
Requires:     gtk+ >= 1.2.8, gnome-libs >= 1.0.16, esound
Autoreqprov:  on
Version:      0.11.2
Release:      134
Source0:      ftp://source.rebelbase.com/pub/pan/pan-%{version}.tar.bz2
URL:          http://pan.rebelbase.com/
Source1:      README.SuSE
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Patch:        desktop.dif
Patch1:       gnpan-dos-attack-from-long-mail-address.dif
Summary:      A powerful newsreader for GNOME

%description
PAN is a very powerful newsreader. Its goal is to make a user-friendly and powerful USENET newsreader for GNOME. Its user interface is based loosely on other popular newsreaders.

Authors:
--------
    Matt Eagleson <e.Messiah@superpimp.org>
    Charles Kerr <charles@rebelbase.com>
    Christophe Lambin <clambin@easynet.be>

SuSE series: gnm

%prep
%setup -n pan-%{version}
%patch
%patch1 -p1 
cp %{S:1} .

%build
CFLAGS="-O2" 
%ifarch i586
CFLAGS="-O2 -mpentium -march=pentium" 
%endif
%ifarch i686
CFLAGS="-O2 -mpentiumpro -march=pentiumpro" 
%endif
./configure --prefix=%{prefix}
make

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT%{prefix} install
cd $RPM_BUILD_ROOT 
mv ./opt/gnome/bin/pan ./opt/gnome/bin/gnpan
mv ./opt/gnome/share/gnome/apps/Internet/pan.desktop ./opt/gnome/share/gnome/apps/Internet/gnpan.desktop

%files
%defattr(-,root,root)
%doc README README.SuSE ChangeLog AUTHORS TODO COPYING CREDITS
%attr(755,root,root) %{prefix}/bin/gnpan
%{prefix}/share/gnome/apps/Internet/gnpan.desktop
%{prefix}/share/locale/*/*/*
%{prefix}/share/pixmaps/*

%clean
rm -r $RPM_BUILD_ROOT

%changelog -n gnpan
* Thu Nov 27 2003 - hhetter@suse.de
- Security update:
  added patch against DoS attack caused by malformed header
  ( CAN-2003-0855 ) , SuSE Bug Id #33323
* Fri Feb 08 2002 - drahn@suse.de
- update to stable version 0.11.2
* Sat Feb 02 2002 - drahn@suse.de
- update to version 0.11.1.94
  Bug fixes:
  * Fixed 0.10.0.93 bug that caused a GUI lockup under arcane
  circumstances when reading articles.
  * Fixed 0.11.1.92 bug that caused Pan to crash when emptying
  a group which had an article displayed in the text pane.
  * Fixed 0.11.1.92 bug that caused a GUI lockup under other
  arcane circumstances.
  * Fixed 0.11.1.92 bug that caused the first article read to
  not be displayed if the user started up Pan in zoom mode.
  * Fixed several other 0.11.1.93 deadlock issues.
  * Now handles '~' in the TMPDIR environmental variable.
* Thu Jan 31 2002 - drahn@suse.de
- update to version 0.11.1.93
  Bug fixes:
  * Fixed 0.11.1.92 bug that caused cached articles to not be
  marked as read when the user read them.
  * Fixed 0.11.1.92 bug that made the "Edit Filter" dialog too
  wide to fit even on large screens.
  * Fixed 0.10.0 bug where new articles that automatically get
  deleted by user-defined rules could still appear in the
  article pane.
  * Fixed a long-standing NNTP server connection corruption bug.
  * Fixed a couple of long-standing GUI thread bugs.
* Wed Jan 23 2002 - drahn@suse.de
- update to version 0.11.1.92
  Bug fixes:
  * Fixed 0.11.1.90 bug that caused Pan to crash sometimes
  when reading or decoding articles.
  * Fixed 0.11.1.90 bug that caused pan to crash on a SIGPIPE
  signal when a news server connection closed unexpectedly.
  * Fixed 0.11.1.90 bug that caused Pan to not authenticate
  properly on at least one older NNTP server.
  * Fixed 0.10.0.93 memory leak that didn't free all article
  information on duplicate or user-deleted articles.
* Wed Jan 09 2002 - drahn@suse.de
- update to version 0.11.1.90
  Features:
  * Support for Microsoft Secure Password Authentication ("SPA")
  * more translations
  Bug fixes:
  * fixed a huge memory leak
  * fixed thread safety bugs
  * fixed "Get New Headers" command
* Tue Dec 11 2001 - hhetter@suse.de
- updated to stable version 0.11.1
  Featuring:
  * The left/right arrow keys now collapse/expand the
  currently-selected threads
  * Added 'Newsreader' to the 'Headers to Show' selection
  in the preferences
  * New Simplified Chinese translation
  * New Portuguese translation
  Bug fixes:
  * Fixed "supercede article" bug
  * Small task manager bug fixes
- setup -n pan  to build in directory pan instead of gnpan
- functionality test on i386
* Fri Nov 30 2001 - drahn@suse.de
- update to version 0.11.0.92
- fixed several bugs that could cause gnpan to crash
* Tue Nov 13 2001 - drahn@suse.de
- fixed SPEC file to build on (hopefully) all architectures
* Fri Nov 09 2001 - drahn@suse.de
- first SuSE package - version 0.11.0
- renamed package and binary to gnpan because of conflicts with different
  package
